# Uses of Enum Class
org.springframework.beans.factory.config.YamlProcessor.ResolutionMethod

Packages that use YamlProcessor.ResolutionMethod
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.

## Uses of YamlProcessor.ResolutionMethod in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return YamlProcessor.ResolutionMethod
Modifier and Type
Method
Description
`static YamlProcessor.ResolutionMethod`
YamlProcessor.ResolutionMethod.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static YamlProcessor.ResolutionMethod[]`
YamlProcessor.ResolutionMethod.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.beans.factory.config with parameters of type YamlProcessor.ResolutionMethod
Modifier and Type
Method
Description
`void`
YamlProcessor.`setResolutionMethod(YamlProcessor.ResolutionMethod resolutionMethod)`
Method to use for resolving resources.